List SSH keys
To see all the SSH keys you have, make a GET request to the /v1/ssh_keys endpoint. This operation allows using the query parameters for output modification.
Authorization
bearerAuth In: header
Query Parameters
| Field | Details |
|---|---|
label_selector? | stringThis parameter will filter results by labels. More details in the Labels section. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
curl -X GET "https://example.com/v1/ssh_keys"[ { "name": "ssh_key_52", "fingerprint": "97:c1:12:7e:1c:88:f6:77:6c:9b:cf:8d:ba:bb:8e:f52", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "updated_at": "2026-05-28T07:02:30Z", "created_at": "2026-05-28T07:02:30Z" }, { "name": "ssh_key_53", "fingerprint": "97:c1:12:7e:1c:88:f6:77:6c:9b:cf:8d:ba:bb:8e:f53", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "updated_at": "2026-05-28T07:02:30Z", "created_at": "2026-05-28T07:02:30Z" }]